## org.python.core
Class BytecodeLoader.Loader

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  org.python.core.BytecodeLoader.Loader

Enclosing class:
  BytecodeLoader

    public static class BytecodeLoader.Loader

extends URLClassLoader

Constructor Summary
`BytecodeLoader.Loader()`

Method Summary
`void` `addParent(ClassLoader referent)`
`Class<?>` `loadClassFromBytes(String name, byte[] data)`

Methods inherited from class java.net.URLClassLoader
`findResource, findResources, getURLs, newInstance, newInstance`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BytecodeLoader.Loader

    public BytecodeLoader.Loader()

Method Detail

### addParent

    public void addParent(ClassLoader referent)

### loadClassFromBytes

    public Class<?> loadClassFromBytes(String name,
                                       byte[] data)

Jython homepage